Subject: bug#59579: installing zbar prevents gdm to start on Ubuntu 22.04 foreign distro

From: Simon Tournier <[email-masked]>
Date: Thu, 26 Jan 2023 18:10:56 +0100

Hi,

On Fri, 25 Nov 2022 at 18:45, Clément Lassieur <[email-masked]> wrote:

> It's very difficult to pin the issue down to a guix package being
> installed.
>
> I imagine the bug would not happen if ~/.guix-profile/share was not in
> XDG_DATA_DIRS.

Yes, it is related to XDG_DATA_DIRS and it can be tedious to find which
package brings the issue.

I had a similar issue with the package ’python-ipython’ and recently
with ’fontconfig’ – both cases running on the top of Debian.

The issue can happen whatever the profile; it just depends which ones
are sourced by your login shell.

Cheers,
simon